package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.PodModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s pod
 *
 * @时间 2019年8月21日
 */
public interface PodProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(PodModel model);

    public BocloudResult remove(PodModel model);

    public BocloudResult detail(PodModel model);

    public BocloudResult modify(PodModel model);

    public BocloudResult logDetail(PodModel model);
}
